Description

An vielen Stellen im Toolkit werden im Fehlerfall wenig aussagekraftige
Fehlercodes produziert. Insbesondere EC_lllegalCall ist oft ein Platzhalter

far "ich war zu faul, eine neue Fehlermeldung zu definieren".

Aufgefallen ist mir das u.a. in (meinem eigenen) RLE-Code, Jorg hatte kiirzlich
einen ahnlichen Fall in dcmjpeg. Hier wére es sinnvoll, nach und nach alle
Instanzen von EC_lllegalCall durch aussagekréftigere Codes zu ersetzen.
Derzeit gibt es allerdings ca. 1250 Stellen, an denen EC_lllegalCall auftritt :-/
=== Kommentar JR ===

... tw. gilt das auch fur EC_CorruptedData, EC_InvalidStream und andere Codes.

=== Nachtrag JR ===

Hier gibt es weiteres ein "schones" Beispiel, wieviel einfacher es wéare, Fehler zu finden, wenn man sinnvollere OFCondition-Werte
benutzen wirde: http:/forum.dcmtk.org/viewtopic.php?p=10735#10735

Ein erster Schritt wére auch schon durch entsprechende Log-Ausgaben getan!

Related issues:
Related to DCMTK - Feature #275: DcmCodec::decodeFrame() ist bislang nur fur ... New

History

#1 - 2013-03-07 16:42 - J6rg Riesmeier
- Category set to Library

- Target version set to 3.6.2

Hier ist ein weiteres Problem, das mit hilfreicherer Log-Ausgabe schneller zu finden wére (als direkt im Quelltext nachgucken zu missen):
http://forum.decmtk.org/viewtopic.php?f=1&t=3703

Die aktuelle Ausgabe von "dcmdrle" sieht z. B. wie folgt aus:

-1

decompressing file
DcmItem: :searchSubFromHere Element (7fe0,0010) found
DcmItem: :searchSubFromHere Element (0028,0002) found

DcmItem: :searchSubFromHere Element (0028,0011) found
DcmItem: :searchSubFromHere () Element (0028,0100) found
Tag not found: decompressing file: 1.2.840.113619.2.110.200071.130206093837.3.130206094255.1.1.dcm

() ( )

() ( )
DcmItem: :searchSubFromHere () Element (0028,0010) found

() ( )

)
... und, wo liegt der Fehler? Na klar, "Planar Configuration" fehlt. Das sieht man doch sofort ;-)

#2 - 2017-03-24 12:40 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3
#3 - 2018-02-05 19:40 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
